<?php

use Spire\Cloud\Pdf\Sdk\Api\PdfListApi;
use Spire\Cloud\Pdf\Sdk\Configuration;
use Spire\Cloud\Pdf\Sdk\Model\Font;
use Spire\Cloud\Pdf\Sdk\Model\ModelList;

$appId = "your id";
$appKey = "your key";
$baseUrl = "https://api.e-iceblue.cn";
$configuration = new Configuration($appId, $appKey, $baseUrl);
$apiInstance = new PdfListApi($configuration);

$name = "AddList.pdf";
$outPath = "output/AddList.pdf";
$pageNumber = 1;
$password = null;
$folder = "input";
$font = new Font(['font_type' => "Standard", 'font_family' => "Helvetica", 'font_size' => 12, 'font_style' => "Bold"]);
$text1 = array("123", "456", "789", "000");
$text2 = array("147", "258", "369", "000");
$listArray1 = [
    'x' => 50, 'y' => 30, 'width' => null, 'height' => null,
    'type' => 'Sorted', 'text' => $text1,
    'indent' => 0, 'text_indent' => 0,
    'font' => $font,
    'number_style' => "UpperRoman",
    'start_number' => null,
];
$listArray2 = [
    'x' => 50, 'y' => 180, 'width' => 100, 'height' => 100,
    'type' => 'Sorted', 'text' => $text1,
    'indent' => 5, 'text_indent' => 5,
    'font' => $font,
    'number_style' => "UpperLatin",
    'start_number' => 3,
];
$listArray3 = [
    'x' => 50, 'y' => 280, 'width' => 100, 'height' => 100,
    'type' => 'Sorted', 'text' => $text1,
    'indent' => 5, 'text_indent' => 5,
    'font' => $font,
    'number_style' => "LowerRoman",
    'start_number' => 3,
];
$listArray4 = [
    'x' => 50, 'y' => 400, 'width' => 100, 'height' => 100,
    'type' => 'Sorted', 'text' => $text1,
    'indent' => 5, 'text_indent' => 5,
    'font' => $font,
    'number_style' => "Numeric",
    'start_number' => 3,
];
$listArray5 = [
    'x' => 50, 'y' => 520, 'width' => 100, 'height' => 100,
    'type' => 'Sorted', 'text' => $text1,
    'indent' => 0, 'text_indent' => 0,
    'font' => $font,
    'number_style' => "None",
    'start_number' => 3,
];
$listArray6 = [
    'x' => 350, 'y' => 50, 'width' => null, 'height' => null,
    'type' => 'Unsorted', 'text' => $text2,
    'indent' => 0, 'text_indent' => 0,
    'font' => $font,
    'number_style' => null,
    'start_number' => null,
];
$listArray7 = [
    'x' => 350, 'y' => 200, 'width' => 100, 'height' => 100,
    'type' => 'Unsorted', 'text' => $text2,
    'indent' => 5, 'text_indent' => 5,
    'font' => $font,
    'number_style' => "LowerLatin",
    'start_number' => 3,
];
$list1 = new ModelList($listArray1);
$list2 = new ModelList($listArray2);
$list3 = new ModelList($listArray3);
$list4 = new ModelList($listArray4);
$list5 = new ModelList($listArray5);
$list6 = new ModelList($listArray6);
$list7 = new ModelList($listArray7);
$lists = array($list1, $list2, $list3, $list4, $list5, $list6, $list7);
$result =$apiInstance->addList($name, $outPath, $pageNumber,  $lists, $folder, null);